#!/bin/sh

# make sure the box is active in storage mode,
# therefore trigger a scsi bus scan
modprobe sd_mod
echo "scsi add-single-device 0 1 2 3" > /proc/scsi/scsi

# wait for the usb disk to settle
sleep 4

# for debugging:
# env >> /tmp/globe.log

# now run the real switch command, keep some logs
/usr/sbin/easybox_switch >>/tmp/globe.log 2>&1 &

sleep 1

exit 0

